Skip to main content
PATCH
/
v0
/
aois
/
{aoi_id}
/
visualizations
/
{visualization_id}
/
metadata
Rollback visualization metadata
curl --request PATCH \
  --url https://api.pixxel.space/v0/aois/{aoi_id}/visualizations/{visualization_id}/metadata \
  --header 'Authorization: <api-key>' \
  --header 'Content-Type: application/json' \
  --data '
{
  "index_id": "3fa85f64-5717-4562-b3fc-2c963f66afa6",
  "dates": [
    "2024_05_06",
    "2025_11_14"
  ],
  "visualization_mode": "dynamic"
}
'
{
  "aoi_id": "e9767554-550e-4464-a677-b8cf096073ab",
  "assets": [
    {
      "aoi_id": "e9767554-550e-4464-a677-b8cf096073ab",
      "area_in_sq_m": 0,
      "asset_type": "mosaic",
      "band_list": [
        "B01",
        "B02"
      ],
      "centroid": [
        77.55,
        12.95
      ],
      "created_at": "2022-11-14 12:55:49.125928+00:00",
      "date": "2022-11-14",
      "description": "This asset is mosaic file",
      "geometry": {
        "type": "Polygon",
        "coordinates": [
          [
            [
              123
            ]
          ]
        ]
      },
      "id": "e9767554-550e-4464-a677-b8cf096073ab",
      "name": "Asset-A",
      "path": "https://storage.account",
      "progress": 0,
      "resolution": 10,
      "status": "success",
      "updated_at": "2022-11-14 12:55:49.125928+00:00",
      "visualization_id": "e9767554-550e-4464-a677-b8cf096073ab"
    }
  ],
  "created_at": "2022-11-14 12:55:49.125928+00:00",
  "expression": "(B08 - B04) / (B08 + B04)",
  "expression_type": "index",
  "id": "a80f7f4c-abe9-4118-875e-3a2306577e11",
  "index_id": "90d63531-5f54-4704-a4b0-7bb92ae08f23",
  "index_name": "NDVI-Custom",
  "metadata": {
    "legend": {}
  },
  "progress": 100,
  "rescale": [
    0,
    1
  ],
  "status": "success",
  "tenant_id": "tenant-123456",
  "type": "custom",
  "updated_at": "2022-11-14 12:55:49.125928+00:00",
  "user_id": "e3a671ad-5381-4413-8c1c-bc4e1ccaff45"
}

Documentation Index

Fetch the complete documentation index at: https://docs.pixxel.space/llms.txt

Use this file to discover all available pages before exploring further.

Authorizations

Authorization
string
header
required

Path Parameters

aoi_id
string
required

AOI ID

visualization_id
string
required

Visualization ID

Body

application/json

Visualization metadata rollback parameters

index_id
string
required

The index ID for this visualization

Example:

"3fa85f64-5717-4562-b3fc-2c963f66afa6"

dates
string[]
required

List of date strings to rollback

Example:
["2024_05_06", "2025_11_14"]
visualization_mode
enum<string>
required

Which legend mode to rollback (dynamic or theoretical)

Available options:
dynamic,
theoretical
Example:

"dynamic"

Response

OK

aoi_id
string
Example:

"e9767554-550e-4464-a677-b8cf096073ab"

assets
object[]
created_at
string
Example:

"2022-11-14 12:55:49.125928+00:00"

expression
string
Example:

"(B08 - B04) / (B08 + B04)"

expression_type
enum<string>
Available options:
composite,
index,
grayscale
Example:

"index"

id
string
Example:

"a80f7f4c-abe9-4118-875e-3a2306577e11"

index_id
string
Example:

"90d63531-5f54-4704-a4b0-7bb92ae08f23"

index_name
string
Example:

"NDVI-Custom"

metadata
object
progress
integer
Example:

100

rescale
integer[]
Example:
[0, 1]
status
enum<string>
Available options:
creating,
success,
failed,
partial_success
Example:

"success"

tenant_id
string
Example:

"tenant-123456"

type
enum<string>
Available options:
custom
Example:

"custom"

updated_at
string
Example:

"2022-11-14 12:55:49.125928+00:00"

user_id
string
Example:

"e3a671ad-5381-4413-8c1c-bc4e1ccaff45"